Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.common
Interface XmlRpcHttpConfig

All Superinterfaces:
  XmlRpcConfig, XmlRpcStreamConfig

All Known Subinterfaces:
  XmlRpcHttpClientConfig, XmlRpcHttpRequestConfig, XmlRpcHttpServerConfig

All Known Implementing Classes:
  RequestData, XmlRpcClientConfigImpl, XmlRpcConfigImpl, XmlRpcHttpRequestConfigImpl, XmlRpcServerConfigImpl

    public interface XmlRpcHttpConfig

extends XmlRpcStreamConfig

Interface of a configuration for HTTP requests.

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Method Summary
`java.lang.String` | `getBasicEncoding()` Returns the encoding being used to convert the String "username:password" into bytes.
`boolean` | `isContentLengthOptional()` Returns, whether a "Content-Length" header may be omitted.

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`getEncoding`

Methods inherited from interface org.apache.xmlrpc.XmlRpcConfig
`getTimeZone, isEnabledForExtensions`

Method Detail

### getBasicEncoding

    java.lang.String getBasicEncoding()

  Returns the encoding being used to convert the String "username:password" into bytes.

  Returns:
    Encoding being used for basic HTTP authentication credentials, or null, if the default encoding (`XmlRpcStreamConfig.UTF8_ENCODING`) is being used.

### isContentLengthOptional

    boolean isContentLengthOptional()

  Returns, whether a "Content-Length" header may be omitted. The XML-RPC specification demands, that such a header be present.

  Returns:
    True, if the content length may be omitted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.